cancel
Showing results for 
Search instead for 
Did you mean: 

Are there plans to upgrade BigIP LTM jdbc to a newer version?

KarlOrange
Nimbostratus
Nimbostratus

Context:

We recently ran into issues while setting up a health check on an LTM against a recently built Oracle 19c instance. Such health check was failing to return the expected result, in particular returning a dreaded "ora-01017 invalid username/password" error.

 

After an unsuccessful attempt to get this fixed with support, our DBA came to notice the Oracle 19c password hash for our user/password on the database was not set to allow older versions than Oracle 11g.

 

This was fixed, precisely, by updating the user configuration and allowing it to use the password hash equivalent to an Oracle 10g version.

 

We would like to know if there is any roadmap to upgrade the jdbc version to a newer one. This is what our -recently- upgraded BigIP LTM shows:

[root@BigIP-P:Active:In Sync] lib # /usr/java/java-1.7.0-openjdk/bin/java -jar /usr/share/monitors/ojdbc6.jar Oracle 11.2.0.1.0 JDBC 4.0 compiled with JDK6 root@(BigIP-P)(cfg-sync In Sync)(Active)(/Common)(tmos)# show /sys version Sys::Version Main Package  Product    BIG-IP  Version    15.1.0.2  Build      0.0.9  Edition    Point Release 2  Date       Fri Mar 20 21:06:24 PDT 2020

 

Otherwise, is there any possibility to upgrade it without having support issues?

1 REPLY 1

Samir
Nacreous
Nacreous

Open support case with F5 team for advice or workaround.